function preset (context, opts) {
  return {
    presets: [
      ['es2015', opts],
    ],
    plugins: [
      'transform-runtime',

      // react
      'babel-plugin-transform-react-jsx',
      'babel-plugin-syntax-jsx',
      'babel-plugin-transform-react-display-name',

      // stage 3
      'syntax-trailing-function-commas',

      // stage 2
      'transform-class-properties',
      'transform-object-rest-spread',

      // stage 1
      'transform-export-extensions',
    ],
  }
}

module.exports = preset
